Subject: Re: linux-next: manual merge of the drm tree with the drm-misc-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 18 Mar 2022 12:06:47 +1100

Hi all,

On Fri, 18 Mar 2022 11:55:44 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the drm tree got a conflict in:
> 
>   drivers/gpu/drm/bridge/Kconfig
> 
> between commit:
> 
>   3c3384050d68 ("drm: Don't make DRM_PANEL_BRIDGE dependent on DRM_KMS_HELPERS")
> 
> from the drm-misc-fixes tree and commit:
> 
>   803abfd8dda5 ("drm: bridge: fix unmet dependency on DRM_KMS_HELPER for DRM_PANEL_BRIDGE")
> 
> from the drm tree.
> 
> I fixed it up (I just used the latter) and can carry the fix as

But that failed during configuration, so I went back and used the
former change.

> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell